API reference / Renders & exports
Get package manifest
GET
/api/v1/renders/{id}/manifestRead the validated file manifest and checksums
Parameters
idpathrequiredstring
Request example
Set ALF_API_URL to https://dashboard.applaunchflow.com/api/v1 and ALF_API_KEY to your key. Replace sample IDs with your project’s values.
cURL
curl --request GET \
--url "$ALF_API_URL/renders/11111111-1111-4111-8111-111111111111/manifest" \
--header "Authorization: Bearer $ALF_API_KEY"Response
Successful JSON responses wrap the result in data, with a request ID in meta.requestId.
schemaVersiondatarequired1
validdatarequiredtrue
projectIddatarequiredstring · uuid
variantIddatarequiredstring · uuid
inputHashdatarequiredstring
rendererVersiondatarequiredstring
filesdatarequiredobject[]
View response schema
{
"type": "object",
"required": [
"data",
"meta"
],
"properties": {
"data": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"schemaVersion": {
"type": "number",
"const": 1
},
"valid": {
"type": "boolean",
"const": true
},
"projectId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"variantId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"inputHash": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
},
"rendererVersion": {
"type": "string"
},
"files": {
"type": "array",
"items": {
"type": "object",
"properties": {
"path": {
"type": "string"
},
"width": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"height": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"locale": {
"type": "string"
},
"platform": {
"type": "string",
"enum": [
"ios",
"android"
]
},
"format": {
"type": "string"
},
"screenId": {
"type": "string"
},
"sha256": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
},
"sizeBytes": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
"required": [
"path",
"width",
"height",
"locale",
"platform",
"format",
"screenId",
"sha256",
"sizeBytes"
]
}
}
},
"required": [
"schemaVersion",
"valid",
"projectId",
"variantId",
"inputHash",
"rendererVersion",
"files"
]
},
"meta": {
"type": "object",
"required": [
"requestId"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
}
}
}
}
}Errors & retries
Errors use application/problem+json. Check the stable code and keep requestId when contacting support. Respect Retry-After on 429 responses.